<li class="attributes">
    {{#if (ne key "met") }}
        <div {{#if (eq data.sheetmode.value "normal")}}
        class="attributes grid-2col-attributes"
        {{else}} class="attributes grid grid-3col-attributes"
        {{/if}}>
            <div class="attribute attributedialog flex-group-center{{#if
                    (eq data.sheetmode.value "normal")}} rolldialog{{/if}}"
                 data-type="attribute"
                 data-score="{{attribute.score}}"
                 data-label="{{getAttributeName key}}">
                <b>{{ getAttributeName key }}</b>
            </div>
            <div class="flex-group-center{{#if
                    (eq data.sheetmode.value "normal")}} rolldialog{{/if}}"
                 data-type="attribute"
                 data-score="{{attribute.score}}"
                 data-label="{{getAttributeName key}}">
                <b>{{diceFromScore attribute.score}}</b>D+<b>{{pipsFromScore attribute.score}}</b>
            </div>
            {{#if (eq data.sheetmode.value "advance")}}
                <div class="advancedialog flexrow flex-group-center"
                     data-type="attribute"
                     data-label="{{getAttributeName key}}"
                     data-freeadvance="false"
                     data-attrname="{{ key }}">
                    <a><i class="fas fa-plus-square"></i></a>
                </div>{{/if}}
            {{#if (eq data.sheetmode.value "freeedit")}}
                <div class="attribute-edit flexrow flex-group-center"
                     data-type="attribute"
                     data-label="{{getAttributeName key}}"
                     data-freeadvance="true"
                     data-attrname="{{ key }}">
                    <a><i class="fas fa-edit"></i></a>
                </div>{{/if}}
        </div>
        <ul class="skill-list">
            {{#each actor.skills as |skill skillkey|}}
                {{#if (eq skill.data.attribute ../key) }}
                    <li class="item skills" data-item-id="{{skill._id}}">
                        <div {{#if (eq ../data.sheetmode.value "normal")}}
                        class="item skills grid-2col-attributes"
                        {{else}} class="skills grid grid-3col-attributes"
                        {{/if}}>
                            <div class="skilldialog flex-group-left{{#if
                                    (eq ../data.sheetmode.value "normal")}} rolldialog{{/if}}"
                                 data-item-id="{{skill._id}}"
                                 data-type="skill"
                                 data-score="{{skill.data.score}}"
                                 data-base="{{skill.data.base}}"
                                 data-label="{{skill.name}}">
                                {{skill.name}}
                            </div>
                            <div class="flex-group-center{{#if
                                    (eq ../data.sheetmode.value "normal")}} rolldialog{{/if}}"
                                 data-item-id="{{skill._id}}"
                                 data-type="skill"
                                 data-score="{{skill.data.score}}"
                                 data-base="{{skill.data.base}}"
                                 data-label="{{skill.name}}">
                                <b>{{diceFromScore skill.data.score}}</b>D+<b>{{pipsFromScore
                                    skill.data.score}}</b></div>
                            {{#if (eq ../data.sheetmode.value "advance")}}
                                <div class="item item-controls flexrow flex-group-center"
                                     data-item-id="{{skill._id}}">
                                    <a class="advancedialog"
                                       title="{{localize "OD6S.ADVANCE_SKILL"}}"
                                       data-item-id="{{skill._id}}"
                                       data-type="skill"
                                       data-score="{{skill.data.score}}"
                                       data-base="{{skill.data.base}}"
                                       data-label="{{skill.name}}"
                                       data-freeadvance="false">
                                        <i class="fas fa-plus-square"></i></a>
                                    <a class="specializedialog"
                                       title="{{localize "OD6S.CREATE_SPECIALIZATION"}}"
                                       data-item-id="{{skill._id}}"
                                       data-type="skill">
                                        <i class="fas fa-chevron-circle-left"></i></a>
                                </div>{{/if}}
                            {{#if (eq ../data.sheetmode.value "freeedit")}}
                                <div class="item item-controls flexrow flex-group-center"
                                     data-item-id="{{skill._id}}"
                                     data-type="skill"
                                     data-score="{{skill.data.score}}"
                                     data-base="{{skill.data.base}}"
                                     data-label="{{skill.name}}"
                                     data-freeadvance="true">
                                    <a class="item-control item-edit" title="Edit Skill"><i
                                            class="fas fa-edit"></i></a>
                                    <a class="specializedialog"
                                       title="{{localize "OD6S.CREATE_SPECIALIZATION"}}"
                                       data-item-id="{{skill._id}}"
                                       data-type="skill">
                                        <i class="fas fa-chevron-circle-left"></i></a>
                                    <a data-item-id="{{skill._id}}"
                                       data-type="skill"
                                       class="item-control item-delete"
                                       title="Delete Skill">
                                        <i class="fas fa-trash"></i></a>
                                </div>{{/if}}
                        </div>
                    </li>
                    <ul class="specialization-list">
                        {{#each ../actor.specializations as |spec speckey|}}
                            {{#if (eq spec.data.skill skill.name) }}
                                <li class="item specializations" data-item-id="{{spec._id}}">
                                    <div {{#if (eq ../../data.sheetmode.value "normal")}}
                                    class="attributes grid-2col-attributes"
                                    {{else}} class="item specialization grid grid-3col-attributes"
                                    {{/if}}>
                                        <div class="specdialog indent flex-row flex-group-left{{#if
                                                (eq ../../data.sheetmode.value "normal")}} rolldialog{{/if}}"
                                             data-item-id="{{spec._id}}"
                                             data-type="specialization"
                                             data-score="{{spec.data.score}}"
                                             data-label="{{spec.name}}">
                                            <i>{{spec.name}}</i>
                                        </div>
                                        <div class="flex-group-center{{#if
                                                (eq ../../data.sheetmode.value "normal")}} rolldialog{{/if}}"
                                             data-item-id="{{spec._id}}"
                                             data-type="specialization"
                                             data-score="{{spec.data.score}}"
                                             data-label="{{spec.name}}">
                                            <b>{{diceFromScore spec.data.score}}</b>D+<b>{{pipsFromScore
                                                spec.data.score}}</b></div>
                                        {{#if (eq ../../data.sheetmode.value "advance")}}
                                            <div class="item item-controls flexrow flex-group-center"
                                                 data-item-id="{{spec._id}}">
                                                <a class="advancedialog"
                                                   title="{{localize "OD6S.ADVANCE_SKILL"}}"
                                                   data-item-id="{{spec._id}}"
                                                   data-type="specialization"
                                                   data-score="{{spec.data.score}}"
                                                   data-label="{{spec.name}}"
                                                   data-freeadvance="false">
                                                    <i class="fas fa-plus-square"></i></a>
                                            </div>{{/if}}
                                        {{#if (eq ../../data.sheetmode.value "freeedit")}}
                                            <div class="item item-controls flexrow flex-group-center"
                                                 data-item-id="{{spec._id}}"
                                                 data-type="specialization"
                                                 data-score="{{spec.data.score}}"
                                                 data-label="{{spec.name}}"
                                                 data-freeadvance="true">
                                                <a class="item-control item-edit" title="Edit Specialization"><i
                                                        class="fas fa-edit"></i></a>
                                                <a data-item-id="{{spec._id}}"
                                                   data-type="specialization"
                                                   class="item-control item-delete"
                                                   title="Delete Specialization">
                                                    <i class="fas fa-trash"></i></a>
                                            </div>{{/if}}
                                    </div>
                                </li>
                            {{/if}}
                        {{/each}}
                    </ul>
                {{/if}}
            {{/each}}
        </ul>
    {{/if}}
</li>